Subject: Property <Path>\CoffeeBean::$Persistence_Object_Identifier does not exist
Description

Hi, I'm a Yii developer trying to migrate to a DDD oriented PHP framework like Typo3 Flow :)

I downloaded Typo3 Flow 2.2 this week and followed the QuickStart guide step by step (
http://docs.typo3.org/flow/TYPO3FlowDocumentation/Quickstart/Index.html).

However, after execute this command:

./flow kickstart:actioncontroller --generate-actions --generate-related Acme.Demo CoffeeBean

I executed the following command:

./flow doctrine:update

And I received the following error:

"Property Acme\Demo\Domain\Model\CoffeeBean::$Persistence_Object_Identifier does not exist"

I manually added that property to the CoffeeBean model and that has solved this issue (I was able to do CRUD operations with that
model) but I'm not sure if this is an expected manual change before execute "doctrine:update". Even if that property should be added
manually, I guess will be useful include that step in the QuickStart steps for newbies like me.

By the way, I like a lot the design of this framework, good job!

Thank you!
Leandro

History
#1 - 2015-01-08 16:05 - Mark Wahl

I got the same error today with a fresh install of TYPO3 Flow 2.3, but I didn't know how to add the property manually. Unfortunately searching did not
reveal any quick solution. But then just running

./flow doctrine:update

again (without changing anything!), the error is not reported anymore and I simply got

Executed a database schema update.

Now the CoffeeBean page works like described.
So the first update call must have been done something despite throwing the error. Otherwise the second update would not have been successful.

Just a comment: Such a behaviour does not really strengthens the confidence in the code (or documentation) quality :-( . There were already confusing
error messages which must simply be ignored during flow installation (and not mentioned in the Quickstart).

Regards,
Mark

#2 - 2015-01-13 11:48 - Wolfgang Felbermeier
- File stacktrace.txt added

I can relate to that issue, too.

After creating a new Entity, when running

./flow doctrine:update

i got the error:

Message
  Property
  ****\Domain\Model\Document::$Persistence_Object_Identifier

Stacktrace is attached.

After that, running the update again without changes, it works flawless without any error.

#3 - 2015-01-13 12:15 - Adrian Föder
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Kickstart

#4 - 2015-01-13 12:16 - Adrian Föder

Could you guys do me a favor and add / gist / pastebin an exact copy of how the generated Model class (CoffeeBean, Document) looks?

#5 - 2015-01-13 12:20 - Wolfgang Felbermeier
- File Document.php added

Here you go. The model class is attached.

Files
stacktrace.txt 4.3 kB 2015-01-13 Wolfgang Felbermeier
Document.php 1.5 kB 2015-01-13 Wolfgang Felbermeier
